Docs

Remote Bindings

POST
/v1/projects/{idOrName}/remote-bindings/access

Selects a connected external resource by Project and external ID, then returns a short-lived deployment-scoped Manager capability. The caller never receives the external cloud credentials from Platform.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

idOrName*string

Project ID or name.

Lengthlength <= 100

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/my-project/remote-bindings/access" \  -H "Content-Type: application/json" \  -d '{    "externalId": "ext_example_01",    "capability": "storage"  }'
{  "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc",  "resourceId": "string",  "accessToken": "string",  "expiresIn": 0,  "tokenType": "Bearer",  "managerUrl": "http://example.com"}